Funnels

Create Funnel

POST
/v0/project/{idOrSlug}/funnels

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v0/project/string/funnels" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "steps": [      {        "id": "string",        "name": "string",        "match": "all",        "filters": [          {            "field": "string",            "operator": "equals",            "value": "string"          }        ]      }    ],    "conversionWindowSeconds": 0,    "strictOrder": true,    "timeRangeSeconds": 0  }'
{
  "id": "string",
  "projectId": "string",
  "name": "string",
  "description": "string",
  "steps": [
    {
      "type": "event",
      "id": "string",
      "name": "string",
      "match": "all",
      "filters": [
        {
          "field": "string",
          "operator": "equals",
          "value": "string"
        }
      ]
    }
  ],
  "conversionWindowSeconds": 0,
  "strictOrder": true,
  "timeRangeSeconds": 0,
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "_tag": "FunnelValidationError",
  "message": "string"
}
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}